<?php

class tests{
  
  static function checkUrl($url,$get = array(),$post = array(),$cookie = array()){
    include_once(MAIN_SOURCE_PATH.'/ext/Snoopy-1.2.4/Snoopy.class.php');
    $snoopy = new Snoopy();
    $snoopy->fetch( MAIN_URL.$url);

    if ( preg_match('#Parse error#i',$snoopy -> results) ){
      $snoopy -> status = '<strong>500</strong>';
    }
    
    return $snoopy -> status.' : '.MAIN_URL.$url;
  }
}
?>